“can not resolve R” android studio

publicado por: Anonymous

Hola yo tengo este problema en todos mis proyectos en android studio y probe con “clear project” y
con Tools” -> “Android” -> “Sync Project with Gradle Files”.
Y el problema sigue, que otra solución me podrían sugerir por favor.

android.gradle(module)

android {
compileSdkVersion 21
buildToolsVersion '21.1.2'

defaultConfig {
    applicationId "com.example.diego.tpfinal"
    minSdkVersion 9
    targetSdkVersion 23
    versionCode 1
    versionName "1.0"

android.gradle(project)

dependencies {
    classpath 'com.android.tools.build:gradle:2.1.0'

    // NOTE: Do not place your application dependencies here; they belong
    // in the [![Consola de android studio][1]][1]individual module build.gradle files
}

introducir la descripción de la imagen aquí

introducir la descripción de la imagen aquí

introducir la descripción de la imagen aquí

Actualizada—- build.gradle(module)
introducir la descripción de la imagen aquí

introducir la descripción de la imagen aquí

Solución:
Yo arregle mi problema con el siguiente video y con los comentarios de Elena previamente.
https://www.youtube.com/watch?v=pw4jKsOU7go

solución

El problema de no poder generar la clase R.java es debido generalmente a que existe un error en los recursos.

Revisa alguna x roja que indica un problema o revisa en los mensajes.

Prueba con un Clean Project > Build , si esto no lo soluciona, seguramente mostrará cual es el problema.

actualización:

Tienes que revisar que tienes instalada la API 23, eso lo verificas en el Android SDK Manager.

enter image description here

y asegura dentro de tu build.gradle que tienes la versión que descargaste

enter image description here

Respondido por: Anonymous

Leave a Reply

Your email address will not be published. Required fields are marked *